Package org.codehaus.groovy.tools.groovydoc

# Class GroovyRootDocBuilder

java.lang.Object
org.codehaus.groovy.tools.groovydoc.GroovyRootDocBuilder

public class GroovyRootDocBuilder extends Object

## Constructor Summary

Constructors
Constructor
Description
`GroovyRootDocBuilder(GroovyDocTool tool, String[] sourcepaths, List<LinkArgument> links, Properties properties)`

## Method Summary

Modifier and Type
Method
Description
`void`
`buildTree(List<String> filenames)`
`Map<String,GroovyClassDoc>`
`getClassDocsFromSingleSource(String packagePath, String file, String src)`
`GroovyRootDoc`
`getRootDoc()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GroovyRootDocBuilder

public GroovyRootDocBuilder(GroovyDocTool tool, String[] sourcepaths, List<LinkArgument> links, Properties properties)

## Method Details

### getClassDocsFromSingleSource

public Map<String,GroovyClassDoc> getClassDocsFromSingleSource(String packagePath, String file, String src) throws antlr.RecognitionException, antlr.TokenStreamException

Throws:
  `antlr.RecognitionException`
  `antlr.TokenStreamException`

### buildTree

public void buildTree(List<String> filenames) throws IOException

Throws:
  `IOException`

### getRootDoc

public GroovyRootDoc getRootDoc()